<?php

namespace Teknisa\CNC\Controllers;

use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request\Row;
use Zeedhi\Framework\Report\ReportService;

use Teknisa\Libs\Util\Environment;

class Cnc01900RelatorioTaxaVenda extends \Zeedhi\Framework\Controller\Report {

    public function __construct(ReportService $service, Environment $environment) {
        $this->environment = $environment;
        parent::__construct($service);
    }

    protected $reportMapping = array(
        "taxaVenda" => array(
            "strategy" => "BIRT",
            "parameterMapping"  => array(
                "dtvendaini"       => "dtvendaini",
                "dtvendafin"       => "dtvendafin",
                "nrorg"            => "nrorg",
                "NRORG"            => "NRORG",
                "p_nrestabelec"    => "p_nrestabelec",
                "p_nradquirente"   => "p_nradquirente",
                "p_nrprodutoadq"   => "p_nrprodutoadq"
            )
        )
    );
}