<?php
namespace Teknisa\CNC\Factories;

use Doctrine\ORM\EntityManager;

class AdquirenteFactory {

    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }

    public function getAcquirers($row){
        $sql = "SELECT DAT.NRADQUIRENTE, DAT.NMADQUIRENTE, DAT.CDADQUIRENTE||' - '||DAT.NMADQUIRENTE AS LABELPRODUTOADQ, 
         N FROM 
               (SELECT D.*, ROWNUM as N 
                FROM 
                     (SELECT NRADQUIRENTE, NMADQUIRENTE, CDADQUIRENTE, CDADQUIRENTE||' - '||NMADQUIRENTE AS LABELADQUIRENTE 
                       FROM ADQUIRENTE 
                       WHERE IDVISIVEL = 'S'
                        AND IDATIVO = 'S'
                        AND ((INSTR(UPPER(NMADQUIRENTE), UPPER(:ALL_FIELDS)) <> 0) OR :TALL_FIELDS = 'T')
                       ) D ) DAT 
            ORDER BY LABELPRODUTOADQ";

        $std = $this->connection->prepare($sql);
        $std->execute($row);
        return $std->fetchAll();
    }

}
