<?php

namespace WebServiceCall\Repository\DB\Procedure;

use WebServiceCall\Repository\DB\ABaseRepo;

class BeginConciliacaoCNC extends ABaseRepo {

    public function beginConciliacaoCNC($nrEstabelec, $dtIni, $dtFim) {
        $params = array(
            ':P_NRESTABELEC' => $nrEstabelec,
            ':P_DTINICIAL' => $dtIni,
            ':P_DTFINAL'   => $dtFim,
        );

        return $this->conn->executeQuery(self::BEGIN_CONCILIACAO_CNC, $params, [], true);
    }
    
    private const BEGIN_CONCILIACAO_CNC = "
        BEGIN 
            CONCILIACAO_CNC (
                :P_NRESTABELEC, 
                TO_DATE(':P_DTINICIAL', 'DD/MM/YYYY'), 
                TO_DATE(':P_DTFINAL', 'DD/MM/YYYY')
            ); 
        END;
    ";
}